<template>
  <div>
    <p v-if="telemetry.drone_id == null"
        class="text-lg-center red">No active drones</p>
    <v-simple-table v-else>
        <tbody>
          <tr>
            <td>Time since last packet recieved:</td>
            <td>{{(this.time_since_last_packet/1000).toFixed(1)}}</td>
          </tr>
          <tr>
            <td>Drone id:</td>
            <td>{{this.telemetry.drone_id}}</td>
          </tr>
          <tr>
            <td>Flight id:</td>
            <td>{{this.telemetry.flight_id}}</td>
          </tr>
          <tr>
            <td>Latitude:</td>
            <td>{{this.telemetry.drone_pos.lat.toFixed(5)}}</td>
          </tr>
          <tr>
            <td>Longitutde:</td>
            <td>{{this.telemetry.drone_pos.lng.toFixed(5)}}</td>
          </tr>
          <tr>
            <td>Altitude:</td>
            <td>{{this.telemetry.drone_pos.alt.toFixed(2)}}</td>
          </tr>
          <tr>
            <td>Heading:</td>
            <td>{{this.telemetry.drone_pos.heading}}</td>
          </tr>
      </tbody>
    </v-simple-table>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import TelemInfo from "@/components/TelemInfo";

@Component({})
export default class RouteListAppBar extends Vue {
  @Prop() time_since_last_packet!: number;

  @Prop() telemetry!: TelemInfo;
}
</script>

<style scoped>
</style>
